#!/usr/bin/env python3
from vatsched import *
import os

# outputdirectory, filename = os.path.split(__file__) # to place in current directory
outputdirectory = "/home/daniel/html/vatsim"

stations = [
    "EDWW_CTR",
    "EDWW_A_CTR",
    "EDWW_B_CTR",
    "--",
    "EDUU_O_CTR",
    "EDUU_E_CTR",
    "--",
    "EDBB_S_APP",
    "EDBB_U_APP",
    "EDBB_S_DEP",
    "EDBB_N_APP",
    "--",
    "EDDB_N_TWR",
    "EDDB_S_TWR",
    "EDDB_A_GND",
    "EDDB_E_GND",
    "EDDB_N_GND",
    "EDDB_S_GND",
    "EDDB_DEL",
    "--",
    "EDMM_CTR",
    "EDMM_M_CTR",
    "EDMM_G_CTR",
    "--",
    "EDDP_S_APP",
    "EDDP_F_APP",
    "EDDP_N_APP",
    "--",
    "EDDP_N_TWR",
    "EDDP_S_TWR",
    "EDDP_GND",
    "EDDP_DEL",
    "--",
    "EDDC_APP",
    "EDDC_TWR",
    "EDDC_GND",
    "EDDC_A_GND",
    "--",
    "EDDE_TWR",
    "EDDE_GND",
    "EDDE_A_GND"
]

displaydates = EveryXWeeksFromStartdate("26.02.2021", 4, 2)
#displaydates = EveryWeekday(1,2) # MONDAY = 0

createImage(displaydates, stations, outputdirectory + os.sep + 'ber-fra-shuttle.jpg')

#displaydates = WholeWeek()
#createImage(displaydates, stations, outputdirectory + os.sep + 'woche.jpg')